## itheima-tools-zhimu 包的安装

```
npm install itheima-tools-zhimu
```

## itheima-tools-zhimu 包的导入

```js
const itheima = require('itheima-tools-zhimu')
```

## 格式化时间的用法

```js
// 调用dateFormat()方法格式化时间
const dt = itheima.dateFormat(new Date())
// 结果 2022-10-15 18:08:00
console.log(dt)
```

## 转义 HTML 中的特殊字符

```js
// 待转换的HTML字符串
const htmlStr = '<h1 title="abc">这是h1标签<span>123&nbsp;</span></h1>'
// 调用htmlEscape()方法进行转换
const str = itheima.htmlEscape(htmlStr)
// 结果 &lt;h1 title=&quot;abc&quot;&gt;这是h1标签&lt;span&gt;123&amp;nbsp;&lt;/span&gt;&lt;/h1&gt;
console.log(str)
```

## 还原 HTML 中的字符串

```js
// 待还原的HTML字符串
const str2 = itheima.htmlUnEscape(str)
// 结果 <h1 title="abc">这是h1标签<span>123&nbsp;</span></h1>
console.log(str2)
```

## 开源协议

ISC
